> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hugging Face inference data

> Use when fetching Hugging Face inference usage or billing data (e.g. for HF-specific reporting or reconciliation).



## OpenAPI

````yaml /api-reference/openapi.json post /events/huggingface-inference
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /events/huggingface-inference:
    post:
      tags:
        - Events
      summary: Get Hugging Face inference data
      description: >-
        Use when fetching Hugging Face inference usage or billing data (e.g. for
        HF-specific reporting or reconciliation).
      operationId: getHuggingfaceInferenceData
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHuggingFaceBillingDataResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetHuggingFaceBillingDataResponse:
      type: object
      properties:
        requests:
          type: array
          items:
            $ref: '#/components/schemas/EventCostInfo'
    errors.ErrorResponse:
      type: object
      properties:
        code:
          type: string
          enum:
            - not_found
            - already_exists
            - version_conflict
            - validation_error
            - invalid_operation
            - permission_denied
            - http_client_error
            - database_error
            - system_error
            - internal_error
            - service_unavailable
        details:
          type: object
          additionalProperties:
            type: object
        http_status_code:
          type: integer
        message:
          type: string
      x-speakeasy-name-override: ErrorResponse
    EventCostInfo:
      type: object
      properties:
        costNanoUsd:
          type: string
        requestId:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````